cmd_parsechat = [if (= $arg2 0) [delhandler "ontext" parse; delhandler "onmapstart" muteonmapstart; pm $arg1 "chat parsing ^f0disabled"] [
pm $arg1 "chat parsing ^f0enabled"
mutelist = []
badwords = ["cock" "COCK" "fag" "FAG" "BITCH" "bitch" "IDIOT" "idiot" "FUCKER" "fucker" "NOOB" "noob" "FUCK" "fuck" "CUNT" "cunt" "MOTHER" "mother" "NUB" "nub" "DICK" "dick" "ASS" "ass" "DUMB" "dumb" "WHORE" "whore" "SHIT" "shit" "FFS" "ffs" "BUTT" "butt" "HOLE" "hole"]
parse = [a = 0; loop i (listlen $badwords) [if (= (strstr $arg2 (at $badwords $i)) -1) [] [a = (+ $a 1)]]; if (> $a 0) [if (= (getvar $arg1 warning ) 0) [pm $arg1 "^f7You should watch your language or you will be ^f3muted!"]; if (= (getvar $arg1 warning ) 1) [pm $arg1 "^f7Say a bad word again and you will be muted ^f3for real!"]; if (= (getvar $arg1 warning ) 2) [say (format "^f6%1 ^f7has been ^f3muted ^f7for ^f610 ^f7minutes ^f7(reason: bad language)" (getname $arg1)); mute $arg1 1; setvar $arg1 mutetime $getmillis; mutelist = (listadd $mutelist $arg1)]; setvar $arg1 warning (+ (getvar $arg1 warning) 1)]]
unmute = [if (> (- $getmillis (getvar $arg1 mutetime)) 600000) [mute $arg1 0; setvar $arg1 warning 0; setvar $arg1 mutetime 0; pm $arg1 "You can speack but don't say insults again!"] [sleep 1000 [unmute @arg1]]]
muteonmapstart = [looplist i $mutelist [if (< (- $getmillis (getvar $i mutetime)) 600000) [mute $i 1]]]
addhandler ontext parse
addhandler onmapstart muteonmapstart
]
]
registercommand "preventinsults" cmd_parsechat 3 "i" "Mute a player saying three insults"

cmd_hotwords = [if (= $arg2 0) [delhandler "ontext" serverparse; pm $arg1 "server hot words detection ^f0disabled"] [say "server hot words detection ^f0enabled"
keyword = ["jarvis"]
commandlist = ["start" "say" "write"]
parsetext = [sender = $arg1
message = $arg2
looplist i $keyword [if (&& (> (strstr $message $i) -1) (= (getperm $arg1) 4)) [asleep 1000 [if (= (strcmp $keyword (escape "jarvis")) 0) [commandargs = $message; loop i (listlen $commandlist) [if (> (unescape $commandargs) (strstr (at $commandlist $i)) -1) [say "^f6[^f3J.A.R.V.I.S^f6]^f7 Command referenced!"] [say "^f6[^f3J.A.R.V.I.S^f6]^f7 Command not referenced!"]]; keyword = ["jarvis"]] [say (format "^f6[^f3J.A.R.V.I.S^f6]^f7 What can I help you with sir %1^f7?" (getname $sender)); keyword = $commandlist]]]]
] 
addhandler ontext parsetext
]
]
registercommand "hotwords" cmd_hotwords 4 "i" "Enable the server from detecting hot words"

